      SUBROUTINE XXX(TYPE,I,J,K,L,R)
      include 'MOP6FILE'
      character TYPE*1, R*(*)
************************************************************************
*
*    XXX WILL FORM A UNIQUE STRING LABEL 'R' FOR GAUSSIAN-TYPE INPUT
*    THE LABEL WILL BE LETTER (EITHER R, P, OR F, NORMALLY), FOLLOWED
*    BY THE CONNECTIVITY, IN THE ORDER I, J, K, L.
*    'R' IS 13 characterS LONG IN ORDER TO ACCOMMODATE 3 DIGITS PER
*    LABEL, WHEN NECESSARY
*
************************************************************************
      dimension IJK(4)
      R=TYPE
      IJK(1)=I
      IJK(2)=J
      IJK(3)=K
      IJK(4)=L
      M=1
      do 10 LOOP=1,4
         II=IJK(LOOP)
         if (II.EQ.0) go to 10
C
C   IF LABELS GREATER THAN 99 ARE USED, UNCOMMENT THE FOLLOWING CODE
C
C#         I2=II/100
C#         if (I2.NE.0) then
C#            M=M+1
C#            R(M:M)=CHAR(ICHAR('0')+I2)
C#            II=II-I2*100
C#         end if
         I2=II/10
         if (I2.NE.0) then
            M=M+1
            R(M:M)=CHAR(ICHAR('0')+I2)
            II=II-I2*10
         end if
         M=M+1
         R(M:M)=CHAR(ICHAR('0')+II)
   10 continue
      return
      end
